<?php

Hook::call('lc_seo_editor_before');

LabCMS::i()->setAdminSkin();

$main=Factory::create('lc_seo_editor.main');

$action=empty($_GET['action'])?'':$_GET['action'];

if (method_exists($main, 'lc_'.$action)) call_user_func(array($main, 'lc_'.$action));
else call_user_func(array($main, 'lc_list'));

Hook::call('lc_seo_editor_after');